Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.model.impl
Class PropertyExprImpl

    java.lang.Object
      com.tonbeller.jpivot.olap.model.impl.PropertyExprImpl

All Implemented Interfaces:
  PropertyExpr, Visitable

    public class PropertyExprImpl

extends java.lang.Object
implements PropertyExpr

PropertyExpr implementation

Constructor Summary
`PropertyExprImpl(java.lang.String name, Expression valueExpr)` c'tor

Method Summary
`void` | `accept(Visitor visitor)` visitor implementation
`java.lang.String[]` | `getChoices()` walk expression tree and find possible choices
`java.lang.String` | `getName()`
`Expression` | `getValueExpr()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyExprImpl

    public PropertyExprImpl(java.lang.String name,
                            Expression valueExpr)

  c'tor

  Parameters:
    `name` -

Method Detail

### getValueExpr

    public Expression getValueExpr()

  Specified by:
    `getValueExpr` in interface `PropertyExpr`
  Returns:
    the value expression
  See Also:
    `PropertyExpr.getValueExpr()`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `PropertyExpr`
  Returns:
    the property name
  See Also:
    `PropertyExpr.getName()`

### getChoices

    public java.lang.String[] getChoices()

  walk expression tree and find possible choices

  Specified by:
    `getChoices` in interface `PropertyExpr`
  Returns:
    the possible values
  See Also:
    `PropertyExpr.getChoices()`

### accept

    public void accept(Visitor visitor)

  visitor implementation

  Specified by:
    `accept` in interface `Visitable`
  See Also:
    `Visitable.accept(com.tonbeller.jpivot.olap.model.Visitor)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD